/**
 * Copyright 2013-2023 the original author or authors from the JHipster project.
 *
 * This file is part of the JHipster project, see https://www.jhipster.tech/
 * for more information.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import type { Entity } from '../../base-application/index.mjs';
import type { BaseApplication, CommonClientServerApplication } from '../../base-application/types.mjs';
export declare function addRoute({ needle, route, pageTitle, modulePath, moduleName, }: {
    needle: string;
    route: string;
    modulePath: string;
    pageTitle?: string;
    moduleName?: string;
}): import("../../base/api.mjs").EditFileCallback<import("../../base-core/generator-base.mjs").default>;
export declare function addEntitiesRoute({ application, entities }: {
    application: CommonClientServerApplication;
    entities: Entity[];
}): import("../../base/api.mjs").EditFileCallback<import("../../base-core/generator-base.mjs").default>;
export declare function addToEntitiesMenu({ application, entities }: {
    application: BaseApplication;
    entities: Entity[];
}): import("../../base/api.mjs").EditFileCallback<import("../../base-core/generator-base.mjs").default>;
